#ifndef UserBufferH
#define UserBufferH UserBufferH

//-------------------------------------------------------------------------------------------
struct user_buffer_list
//-------------------------------------------------------------------------------------------
{
    void* private;
    char __user* buf;
    size_t count;
    struct scatterlist* sg;
    int nr_pages;
    struct list_head list;
    void* dma_list_entry;
};


struct user_buffer_list* get_user_buffer_obj( struct hyperion_object* device, char __user* buf, size_t count );
void free_all_ubuf( struct hyperion_object* device );
void free_ubuf_obj( struct hyperion_object* device, char __user* buffer, size_t count );
void free_ubuf( struct hyperion_object* device, struct user_buffer_list** ubuf_obj );

#endif //UserBufferH
